
Tue, 04/15/2025 - 17:04
Forums:
Hi all.
For drawing performance issues i made TopoDS_Compound object from thousands of lines and arcs, smth like that:
BRep_Builder builder;
TopoDS_Compound compound;
builder.MakeCompound(compound);
... adding in cycle
line->topoShape = BRepBuilderAPI_MakeEdge(line->startPoint, line->endPoint).Edge();
builder.Add(compound, line->topoShape);
then, as far as i need edge selection, a added:
AIS_Shape::SelectionMode (TopAbs_EDGE);
now i have good highlight/selection with mouse control, but I also need to highlight any edge programmatically. is there any way to make it?
Thank you
Tue, 04/15/2025 - 20:48
Maybe the following old post "Reselect sub shape of an AIS_Shape" will be helpful to implement solution for your task.
Mon, 04/21/2025 - 14:23
Thank you. Code from this old post gave the result i needed